BasicFileChooserUI.BasicFileView (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicFileChooserUI.BasicFileView class
Date: 2016-12-09

javax.swing.plaf.basic

## Class BasicFileChooserUI.BasicFileView

- java.lang.Object
- - javax.swing.filechooser.FileView
  - - javax.swing.plaf.basic.BasicFileChooserUI.BasicFileView

- Enclosing class:
    BasicFileChooserUI

      protected class BasicFileChooserUI.BasicFileView
      extends FileView

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Hashtable<File,Icon>` | `iconCache`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicFileView()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cacheIcon(File f, Icon i)`
    `void` | `clearIconCache()`
    `Icon` | `getCachedIcon(File f)`
    `String` | `getDescription(File f)` A human readable description of the file.
    `Icon` | `getIcon(File f)` The icon that represents this file in the `JFileChooser`.
    `String` | `getName(File f)` The name of the file.
    `String` | `getTypeDescription(File f)` A human readable description of the type of the file.
    `Boolean` | `isHidden(File f)`

    - ### Methods inherited from class javax.swing.filechooser.FileView

      `isTraversable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iconCache

          protected Hashtable<File,Icon> iconCache

  - ### Constructor Detail

    - #### BasicFileView

          public BasicFileView()

  - ### Method Detail

    - #### clearIconCache

          public void clearIconCache()

    - #### getName

          public String getName(File f)

      Description copied from class: `FileView`
      The name of the file. Normally this would be simply `f.getName()`.
      Overrides:
        `getName` in class `FileView`

    - #### getDescription

          public String getDescription(File f)

      Description copied from class: `FileView`
      A human readable description of the file. For example, a file named jag.jpg might have a description that read: "A JPEG image file of James Gosling's face".
      Overrides:
        `getDescription` in class `FileView`

    - #### getTypeDescription

          public String getTypeDescription(File f)

      Description copied from class: `FileView`
      A human readable description of the type of the file. For example, a `jpg` file might have a type description of: "A JPEG Compressed Image File"
      Overrides:
        `getTypeDescription` in class `FileView`

    - #### getCachedIcon

          public Icon getCachedIcon(File f)

    - #### cacheIcon

          public void cacheIcon(File f,
                                Icon i)

    - #### getIcon

          public Icon getIcon(File f)

      Description copied from class: `FileView`
      The icon that represents this file in the `JFileChooser`.
      Overrides:
        `getIcon` in class `FileView`

    - #### isHidden

          public Boolean isHidden(File f)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.